#!/bin/bash
#Änderungen
#---------------------------------------------------------------------
# Shell-Kommando "etl_execute_unload_job.x"
#
#---------------------------------------------------------------------

if [ "$1" = "" ]
   then echo "Aufruf: etl_execute_unload_job.x job_uniquename FILTER <Ausgabedatei (optional)>"
	echo " "
	echo "Aktion: etl_execute_unload_job.x entlaedt Tabellen."
	echo "        Mit Hilfe von etl_execute_upload_job.x koennen diese Daten importiert werden."
	echo " "
	exit 0
fi

#-------------------------------------------------------------------
#-- Metadaten entladen 
#-------------------------------------------------------------------

JOB_UNIQUENAME=$1

FILTER=$2

if [ "$3" == "" ]
   then outfile=$JOB_UNIQUENAME.xml
else

outfile=$3
   
fi



SX_CLIENT=jdbc
export SX_CLIENT
CP=".:$JDBC_CLASSPATH"

CMD="java $JAVA_OPTS -cp $CP de.superx.elt.bin.EtlJobExecutor -dbproperties:$DB_PROPERTIES -job:$JOB_UNIQUENAME -outfile:$outfile -params:$FILTER"

echo $CMD

$CMD




