#!/bin/bash
#Änderungen
#---------------------------------------------------------------------
# Shell-Kommando "etl_sx_select_mask.x"
#
#---------------------------------------------------------------------

if [ "$1" = "" ]
   then echo "Aufruf: etl_sx_select_mask.x <TID> <Ausgabedatei (optional)>"
	echo " "
	echo "Aktion: etl_sx_select_mask.x entlaedt alle Metadaten zur Maske mit der TID <TID>."
	echo "        Mit Hilfe von sx_insert_mask koennen diese Daten importiert werden."
	echo " "
	exit 0
fi

#-------------------------------------------------------------------
#-- Metadaten entladen 
#-------------------------------------------------------------------
TID=$1

if [ "$2" == "" ]
   then outfile=$TID.xml
else

outfile=$2
   
fi


echo "Maske Nummer $TID"
DOQUERY "select name from maskeninfo where tid = $1" false
echo "entladen"

SX_CLIENT=jdbc
export SX_CLIENT
CP=".:$JDBC_CLASSPATH"

CMD="java $JAVA_OPTS -cp $CP de.superx.elt.bin.EtlJobExecutor -dbproperties:$DB_PROPERTIES -job:sx_select_mask -outfile:$outfile -params:TID=$TID"

echo $CMD

$CMD




