
--used in etl-job sx_insert_mask


--check stylesheets:
update tmp_etl_stylesheets set tid=(select S.tid
from sx_stylesheets S
where S.filename=tmp_etl_stylesheets.filename);

--update metadata:
update sx_stylesheets set  (filename,
       caption,
       description,
       relation,
       useragent,
       contenttype,
       is_generic,
       toolbar_icon_filepath,
       usage_resultset_data,
       stylesheet_type,
       jr_datasource)
       =(select  filename,
       caption,
       description,
       relation,
       useragent,
       contenttype,
       is_generic,
       toolbar_icon_filepath,
       usage_resultset_data,
       stylesheet_type,
       jr_datasource
       from tmp_etl_stylesheets T
       where T.tid=sx_stylesheets.tid)
where tid in (select tid from tmp_etl_stylesheets);

       

--new Stylesheet?
insert into sx_stylesheets(filename,caption,description,relation,contenttype,
 is_generic, toolbar_icon_filepath, usage_resultset_data, stylesheet_type, jr_datasource)
select filename,caption,description,relation,contenttype, 
is_generic, toolbar_icon_filepath, usage_resultset_data, stylesheet_type, jr_datasource
from tmp_etl_stylesheets
where tid is null;

--abwärtskompatibel:
update sx_stylesheets set stylesheet_type='XSL',
usage_resultset_data='T'
where relation='table'
and trim(filename) like '%.xsl';


update sx_stylesheets set stylesheet_type='JRXML',
jr_datasource='RS',
usage_resultset_data='T'
where relation='table'
and trim(filename) like '%.jrxml'
;
update sx_stylesheets set stylesheet_type='JRXML',
jr_datasource='XML',
usage_resultset_data='T'
where relation='table'
and trim(filename) like '%xmlsource.jrxml'
;


--lookup tid:
update tmp_etl_stylesheets set tid=(select S.tid
from sx_stylesheets S
where S.filename=tmp_etl_stylesheets.filename);

delete from sx_mask_style where maskeninfo_id in (select maskeninfo_id
from tmp_etl_mask_style);

delete from stylesheet_field where stylesheet_id in (select tid
from tmp_etl_stylesheets);


--now insert:
insert into sx_mask_style ( maskeninfo_id, stylesheet_id, ord)
SELECT M.maskeninfo_id, S.tid, M.ord
FROM tmp_etl_mask_style M, sx_stylesheets S
where M.stylesheet_filename=S.filename
;

insert into stylesheet_field (stylesheet_id, tablename, fieldname)
SELECT S.tid,F.tablename, F.fieldname
FROM tmp_etl_stylesheet_field F, sx_stylesheets S
where F.stylesheet_filename=S.filename
;



drop table tmp_etl_stylesheets;
drop table tmp_etl_mask_style;
drop table tmp_etl_stylesheet_field;



