
update sichten set systeminfoid=T.systeminfoid,
art=T.art,
type=T.type,
name=T.name,
quelle=T.quelle ,
sortnr=T.sortnr,
standbutton=T.standbutton,
aktiv=T.aktiv

from tmp_etl_sichten T
  where T.name_intern=sichten.name_intern
  and sichten.name_intern in (select T2.name_intern from tmp_etl_sichten T2)
;
  
delete from tmp_etl_sichten where name_intern in (select name_intern from sichten);

INSERT INTO sichten(
   systeminfoid  , 
   art  , 
   type  , 
   name_intern  ,
   name  , 
  sortnr  ,
  quelle  ,
  standbutton  , 
  gueltig_seit  , 
  gueltig_bis  , 
  aktiv)
  select systeminfoid  , 
   art  , 
   type  , 
   name_intern  ,
   name  , 
  sortnr  ,
  quelle  ,
  standbutton  , 
  date_val('01.01.1900') as gueltig_seit  , 
  date_val('01.01.3000') as gueltig_bis  , 
  aktiv
  from tmp_etl_sichten S;
  

delete from sachgeb_sichtarten
 where (sachgebiete_id  , 
sichtart) in 
(select sachgebiete_id  , 
sichtart from tmp_etl_sachgeb_sichtarten);

insert into sachgeb_sichtarten(
sachgebiete_id  , 
sichtart)
select 
sachgebiete_id  , 
sichtart
from tmp_etl_sachgeb_sichtarten;

  
drop table if exists tmp_etl_sichten;
drop table if exists tmp_etl_sachgeb_sichtarten;

