<%@ taglib uri="/WEB-INF/dbforms.tld" prefix="db" %>
<%@page pageEncoding="utf-8" contentType="text/html; charset=UTF-8" %>
<%@ page import ="de.superx.servlet.ServletUtils" %>
<%@ page import ="de.superx.servlet.SxPools" %>
<%@ page import ="java.io.BufferedWriter" %>
<%@ page import ="java.io.File" %>
<%@ page import ="java.io.FileWriter" %>
<%@ page import ="java.io.IOException" %>
<%@ page import ="de.superx.elt.EtlActionJob" %>
<%@ page import ="de.superx.elt.EtlUtils" %>
<%@ page import ="de.superx.common.SxUser" %>
<%@ page import ="de.superx.servlet.SuperXManager" %>

<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Ausführung</title>
    <link rel="stylesheet" href="../../style/bulma.css" />
    <script type="text/javascript" src="/superx/xml/js/memtext/sx_functions.js"></script>
</head>

<body>
<%
if (request.getCharacterEncoding() == null) 
        request.setCharacterEncoding("UTF-8");

//Object userobject=request.getSession().getAttribute("UserID");
String userid;
String filter="";
String sql="";
	String returntext="";
    	int returnCode=0;

if(userobject == null)
{
%>

<jsp:forward page="/edit/not_authenticated.htm"/>
<%
}
else
	userid=userobject.toString();
Object mandantobject=request.getSession().getAttribute("MandantenID");
String mandantenid="";
if(mandantobject != null)
	mandantenid=mandantobject.toString();
//der superx-Default-Mandant ist bei dbforms ein Leerstring
if(mandantenid.equals("default"))
	mandantenid="";
String db_form_name="etl_job";
String erlaubt="0";
%>
<%@ include file="/edit/check_authentication.inc" %>
<%
if(erlaubt.equals("0"))
{
%>

<jsp:forward page="/edit/not_authorized.htm"/>
<%
}



//init Variables:

String tid = request.getParameter("systeminfo_id");
String componentUniquename = request.getParameter("componentUniquename");
String componentAction = request.getParameter("componentAction");
    	
    	
    	SxUser user = (SxUser) request.getSession().getAttribute("user");
    	
    	if (user == null || !user.isAdmin()) {
		returnCode=1;
    		returntext="Fehlende Rechte";
    		
    	}
    	else
    	{
    	try {
	String job=componentUniquename+"_"+componentAction;
	String params=componentUniquename.toUpperCase()+"_PFAD="+SuperXManager.getWEB_INFPfad()+EtlUtils.PATHSEP+"conf"+EtlUtils.PATHSEP+"edustore"+EtlUtils.PATHSEP+"db"+EtlUtils.PATHSEP+"module"+EtlUtils.PATHSEP+componentUniquename;
		
		EtlActionJob myJob=new EtlActionJob(job); //TODO:Mandantid
		myJob.initJob(job,params);
		returnCode= myJob.execute("");
		returntext+=myJob.getActionLog().toString();
				

 

		}  catch (Exception e) {
		returnCode=1;
	returntext=e.toString();
	e.printStackTrace();
		}
		
    
    	}
%>
    <!-- START NAV -->
    <nav class="navbar is-white">
        <div class="container">
            <div class="navbar-brand">
                
          <a class="navbar-item" href="webapp_manager.jsp">Masken laden</a>
      
                <div class="navbar-burger burger" data-target="navMenu">
                    <span>dd</span>
                    <span>dd</span>
                    <span>dd</span>
                </div>
            </div>
           <!-- <div id="navMenu" class="navbar-menu">
                <div class="navbar-start">
                    <a class="navbar-item" href="webapp_manager.jsp?tab=inst">
            Installation /Patches
          </a>
                    <a class="navbar-item" href="webapp_manager.jsp?tab=load">
            Konnektoren
          </a>-->
                    <a class="navbar-item" href="javascript:window.close()">
            Schließen
          </a>
          
                </div>

            </div>
        </div>
    </nav>
    <!-- END NAV -->
    
      <section class="section">
    <div class="container">
     
      <h1 class="title" id="MaskHeader">Protokoll</h1>
      <h2 class="subtitle">
        <div id="MaskSubHeader">Ergebnis der Ausführung</div>
      </h2>
    <p>Status: <%="Code "+ returnCode+ "("+de.superx.elt.EtlUtils.translateReturnCode(returnCode)+")"%>, Logausgabe:
    </p>
     <div class="bd-snippet-code highlight-full ">
      <figure class="highlight"><div class="buttons has-addons is-right">
      <button class="button is-small is-info" onClick="copyText('Inhalt');">Kopieren</button>
      </div>
      <textarea id="Inhalt" name="Inhalt" class="textarea" placeholder="Inhalt..." rows="20"><%= returntext %>
      </textarea>
       		    
      
      </figure>
    </div>
          
    </div>
  </section>
</body>

</html>
