<%@ taglib uri="/WEB-INF/dbforms.tld" prefix="db" %>
<%@page pageEncoding="utf-8" contentType="text/html; charset=UTF-8" %>
<%@ page import ="de.superx.servlet.ServletUtils" %>
<%@ page import ="de.superx.servlet.SxPools" %>
<%@ page import ="java.io.BufferedWriter" %>
<%@ page import ="java.io.File" %>
<%@ page import ="java.io.FileWriter" %>
<%@ page import ="java.io.IOException" %>
<%@ page import ="de.superx.elt.EtlActionJob" %>
<%@ page import ="de.superx.elt.EtlUtils" %>
<%@ page import ="de.superx.common.SxUser" %>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Ausführung</title>
    <link rel="stylesheet" href="../../style/bulma.css" />
    <script type="text/javascript" src="/superx/xml/js/memtext/sx_functions.js"></script>
</head>

<body>
<%
//init Variables:
if (request.getCharacterEncoding() == null) 
        request.setCharacterEncoding("UTF-8");

String tid = request.getParameter("maskeninfo_id");
String src = request.getParameter("src");
	String returntext="";
    	int returnCode=0;
	returntext=src;
    	
    	SxUser user = (SxUser) request.getSession().getAttribute("user");
    	String mandantenid= (String) request.getSession().getAttribute("MandantenID");
    	String searchString="/etlAction[@name=\"sx_select_mask\"]/unload[@name=\"unload_maskeninfo\"]/rs/row/fld[@name=\"tid\"]";
    	if(mandantenid==null || mandantenid.equals(""))
    		mandantenid="default";
    	
    	if (user == null || !user.isAdmin()) {
		returnCode=1;
    		returntext="Fehlende Rechte";
    		
    	}
    	else
    	{
    	try {
	if(de.superx.elt.EtlUtils.isNodeValueInXml(src,searchString,tid))
	{
		String job="sx_insert_mask";
		returntext="TID="+tid;
		String params="TID="+tid;
		File temp;
		temp = File.createTempFile("myTempFile", ".xml");
  	 
	     BufferedWriter bw = new BufferedWriter(new FileWriter(temp));
	     bw.write(src);
  	 
	     bw.close();
	     params+=EtlUtils.NEWLINE+"PATH_TO_INPUTFILE="+temp.getAbsolutePath();
	     params+=EtlUtils.NEWLINE+"FORMAT=XML";
		EtlActionJob myJob=new EtlActionJob(job); //TODO:Mandantid
		myJob.initJob(job,params);
		returnCode= myJob.execute("");
		returntext+=myJob.getActionLog().toString();
				

 
	    }
	    else
	    {
	    	returntext="Übergebene TID "+tid+" entspricht nicht der XML-Datei ";
		returnCode=1;
	}
		}  catch (Exception e) {
		returnCode=1;
	returntext=e.toString();
	e.printStackTrace();
		}
		
    
    	}
%>
    <!-- START NAV -->
    <nav class="navbar is-white">
        <div class="container">
            <div class="navbar-brand">
                
          Masken laden
      
                <div class="navbar-burger burger" data-target="navMenu">
                    <span>dd</span>
                    <span>dd</span>
                    <span>dd</span>
                </div>
            </div>
           <!-- <div id="navMenu" class="navbar-menu">
                <div class="navbar-start">
                    <a class="navbar-item" href="webapp_manager.jsp?tab=inst">
            Installation /Patches
          </a>
                    <a class="navbar-item" href="webapp_manager.jsp?tab=load">
            Konnektoren
          </a>-->
                    <a class="navbar-item" href="javascript:window.close()">
            Schließen
          </a>
          
                </div>

            </div>
        </div>
    </nav>
    <!-- END NAV -->
    
      <section class="section">
    <div class="container">
     
      <h1 class="title" id="MaskHeader">Protokoll</h1>
      <h2 class="subtitle">
        <div id="MaskSubHeader">Ergebnis der Ausführung</div>
      </h2>
    <p>Status: <%="Code "+ returnCode+ "("+de.superx.elt.EtlUtils.translateReturnCode(returnCode)+")"%>, Logausgabe:
    </p>
     <div class="bd-snippet-code highlight-full ">
      <figure class="highlight"><div class="buttons has-addons is-right">
      <button class="button is-small is-info" onClick="copyText('Inhalt');">Kopieren</button>
      </div>
      <textarea id="Inhalt" name="Inhalt" class="textarea" placeholder="Inhalt..." rows="20"><%= returntext %>
      </textarea>
       		    
      
      </figure>
    </div>
          
    </div>
  </section>
</body>

</html>
