#!/bin/bash
#. $SUPERX_DIR/bin/SQL_ENV
#---------------------------------------------------------------------
# Shell-Kommando "etl_sx_insert_mask.x"
#
#---------------------------------------------------------------------

##WEITER sicherheitshalber zurücksetzen
WEITER=""


if [ "$1" = "" ]
   then echo "Aufruf: etl_sx_insert_mask.x <TID> <Dateiname (optional)> <Sicherheitsabfrage ausschalten=J (optional)"
	echo " "
	echo "Aktion: etl_sx_insert_mask.x laedt mittels etl_sx_select_mask entladene XML-Metadaten"
	echo "        in die Datenbank."
	echo " "
	exit 0
fi

TID="$1"

if [ "$2" == "" ]
   then infile=$TID.xml
else

infile=$2
   
fi

##Massendaten-Einlesen
if [ "$3" = "j" -o "$3" = "J" ]
	then WEITER=j
fi


#-------------------------------------------------------------------
#-- Sicherheitsabfrage 
#-------------------------------------------------------------------

echo "Maske Nr. $TID hochladen"
echo "VORSICHT: Evtl. vorhandene Daten werden überschrieben."

if [ "$WEITER" != "j" -a "$WEITER" != "J" ]
then
	echo "Weiter (J/N) ? "
	read WEITER
fi

if [ "$WEITER" != "J" ] 
then 
if [ "$WEITER" != "j" ]
then	echo "etl_etl_sx_insert_mask.x aborted"
	exit 0
fi
fi

SX_CLIENT=jdbc
export SX_CLIENT
CP=".:$JDBC_CLASSPATH"

CMD="java $JAVA_OPTS -cp $CP de.superx.elt.bin.EtlJobExecutor -dbproperties:$DB_PROPERTIES -job:sx_insert_mask -params:TID=$TID,PATH_TO_INPUTFILE=$infile"

$CMD





