/*
 * de.superx.etl - a package for controlling ETL routines
 * Copyright (C) 2021 Daniel Quathamer <danielq@memtext.de>
 *
 * This package is licensed under the CampusSource License; 
 * http://www.campussource.de/org/license/
 */
package de.superx.elt.ActionHandler;

import java.io.StringWriter;
import java.sql.Connection;
import java.sql.SQLException;
import java.util.Properties;
import java.util.logging.Logger;

public class EtlActionHandlerMsg extends EtlActionHandler implements EtlActionHandlerI {

	public EtlActionHandlerMsg() {
		//reflection API needs an empty constructor 
	}
	@Override
	public int execute(StringWriter sw, String mandantid, String stepUniquename, String outFormat)
			throws SQLException, Exception {
		int ret=0;
	   	String msg=handlerSpecificProperties.getProperty("msg");
    	super.setLogOutput(stepUniquename+":"+ msg);
    	return ret;
 	}

}
